/*
 * $Id: DataSourceException.java,v 1.2 2006/01/26 16:38:09 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.rss.tools;

import org.logical_paradox.koike.rss.tools.itb.search.Query;

/**
 * 問い合わせ処理中に発生した例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class DataSourceException extends Exception {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -2565664797419706937L;
	/** 失敗した問い合わせ */
	private Query query;

	/**
	 * コンストラクタ．
	 */
	public DataSourceException() {
		super();
	}
	/**
	 * コンストラクタ．
	 * @param msg メッセージ
	 */
	public DataSourceException(String msg) {
		super();
	}
	/**
	 * コンストラクタ．
	 * @param e 元になった例外
	 */
	public DataSourceException(Exception e) {
		super(e);
	}
	/**
	 * コンストラクタ．
	 * @param q 問い合わせオブジェクト
	 */
	public DataSourceException(Query q) {
		query = q;
	}
	/**
	 * コンストラクタ．
	 * @param msg メッセージ
	 * @param q 問い合わせオブジェクト
	 */
	public DataSourceException(String msg, Query q) {
		super(msg);
		query = q;
	}
	/**
	 * コンストラクタ．
	 * @param e 元になった例外
	 * @param q 問い合わせオブジェクト
	 */
	public DataSourceException(Exception e, Query q) {
		super(e);
		query = q;
	}
	/**
	 * 実行して失敗した問い合わせを返す．
	 * @return 問い合わせオブジェクト
	 */
	public Query getQuery() {
		return query;
	}
}
